#include<bits/stdc++.h>
using namespace std;

int main()
{
    int n, k;
    cin >> n;
    cin >> k;
    int karte[n];
    for(int i = 0; i < n; i++)
        cin >> karte[i];
    if(karte[n-1] == k)
        cout << karte[0];
    else
        for(int i = 0; i < n-1; i++)
            if(karte[i] == k)
            {
                cout << karte[i+1];
                return 0;
            }
}